GaussLaguerreCosinePolynomial< mp_real > Class Template Reference

Gauss-Laguerre Cosine integration. More...

`#include <ql/math/integrals/gausslaguerrecosinepolynomial.hpp>`

Inherits GaussLaguerreTrigonometricBase< mp_real >.

## Public Member Functions

| GaussLaguerreCosinePolynomial (Real u)
mp_real | moment (Size n) const
Real | w (Real x) const

## Protected Member Functions

mp_real | m0 () const
mp_real | m1 () const

## Detailed Description

### template<class mp_real>
class QuantLib::GaussLaguerreCosinePolynomial< mp_real >

Gauss-Laguerre Cosine integration.

This class performs a 1-dimensional Gauss-Laguerre-Cosine integration.

\[ \int_{0}^{\inf} f(x) \mathrm{d}x \]

The weighting function is

\[ w(x;u)=e^{-x}*\cos{u*x} \]